User account creation filtered due to spam.

Bug 7578 - gcc-3.1.1 libjava regression: tons of new FAILS on check
Summary: gcc-3.1.1 libjava regression: tons of new FAILS on check
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libgcj (show other bugs)
Version: 3.1.1
: P3 normal
Target Milestone: 3.1.x/3.2.x
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-12 08:06 UTC by nirkko
Modified: 2006-01-31 18:18 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nirkko 2002-08-12 08:06:01 UTC
after gcc bootstrap:
whereas in gcc-3.1, gmake -k check results
for libjava were in the 'usual' range, now
in gcc-3.1.1 there are tons of unexpected FAILS,
which seems a regression to me. Looking at your
"successful builds" webpage, this seems so also
on other platforms (for example, Linux-i86).
Do tests FAIL because of assembler warnings,
and newer assemblers (gas-2.13) issue more of them?
or was there a major change in the testsuite or
in libjava code?

Release:
gcc-3.1.1

Environment:
Sun SPARC Solaris 2.6 (and Linux, and others...)

How-To-Repeat:
take gcc-3.1 and gcc-3.1.1
'gmake bootstrap'  and  'gmake -k check'  each of them.
compare results.
Comment 1 Tom Tromey 2002-08-14 01:07:59 UTC
From: tromey@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: libgcj/7578
Date: 14 Aug 2002 01:07:59 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	tromey@gcc.gnu.org	2002-08-13 18:07:59
 
 Modified files:
 	libjava        : ChangeLog 
 	libjava/java/lang: EcosProcess.java PosixProcess.java 
 	                   Runtime.java Win32Process.java 
 	                   natPosixProcess.cc natRuntime.cc 
 
 Log message:
 	2002-08-13  Jesse Rosenstock  <jmr@ugcs.caltech.edu>
 	
 	Fix for PR libgcj/7570 and PR libgcj/7578:
 	* java/lang/natPosixProcess.cc: Include java/io/File.h.
 	(startProcess): Handle new `dir' argument.
 	* java/lang/Win32Process.java (ConcreteProcess): Added `dir'
 	argument.
 	* java/lang/PosixProcess.java (ConcreteProcess): Added `dir'
 	argument.
 	(startProcess): Likewise.
 	* java/lang/EcosProcess.java (ConcreteProcess): Added `dir'
 	argument.
 	* java/lang/Runtime.java (execInternal): Added `dir' argument.
 	(exec): Don't create new environment if ENV==null.  Pass DIR to
 	execInternal.
 	* java/lang/natRuntime.cc: Include java/io/File.h.
 	(execInternal): Added `dir' argument.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/ChangeLog.diff?cvsroot=gcc&r1=1.1403&r2=1.1404
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/java/lang/EcosProcess.java.diff?cvsroot=gcc&r1=1.3&r2=1.4
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/java/lang/PosixProcess.java.diff?cvsroot=gcc&r1=1.4&r2=1.5
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/java/lang/Runtime.java.diff?cvsroot=gcc&r1=1.11&r2=1.12
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/java/lang/Win32Process.java.diff?cvsroot=gcc&r1=1.4&r2=1.5
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/java/lang/natPosixProcess.cc.diff?cvsroot=gcc&r1=1.12&r2=1.13
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libjava/java/lang/natRuntime.cc.diff?cvsroot=gcc&r1=1.24&r2=1.25
Comment 2 Andrew Pinski 2003-05-25 21:54:16 UTC
Bug was fixed a long time ago.